Loading...
Searching...
No Matches
QwtVectorFieldThinArrow Class Reference

`#include <qwt_vectorfield_symbol.h>`

Inheritance diagram for QwtVectorFieldThinArrow:

## Public Member Functions

| QwtVectorFieldThinArrow (qreal headWidth=6.0)
| Constructor.
virtual | ~QwtVectorFieldThinArrow () override
| Destructor.
virtual void | setLength (qreal length) override
virtual qreal | length () const override
virtual void | paint (QPainter *) const override
| Draw the symbol/arrow.
Public Member Functions inherited from QwtVectorFieldSymbol
| QwtVectorFieldSymbol ()
| Constructor.
virtual | ~QwtVectorFieldSymbol ()
| Destructor.

## Detailed Description

Arrow implementation that only used lines, with optionally a filled arrow or only lines.

Definition at line 81 of file qwt_vectorfield_symbol.h.

## Constructor & Destructor Documentation

## QwtVectorFieldThinArrow()

QwtVectorFieldThinArrow::QwtVectorFieldThinArrow | ( | qreal | headWidth = 6.0 | ) |

Constructor.

The length is initialized by headWidth + 4

Parameters

  headWidth | Width of the triangular head

See also
  setLength()

Definition at line 128 of file qwt_vectorfield_symbol.cpp.

## ~QwtVectorFieldThinArrow()

QwtVectorFieldThinArrow::~QwtVectorFieldThinArrow | ( |  | ) |

overridevirtual

Destructor.

Definition at line 134 of file qwt_vectorfield_symbol.cpp.

## Member Function Documentation

## length()

qreal QwtVectorFieldThinArrow::length | ( |  | ) | const

overridevirtual

Returns
  length of the symbol/arrow

See also
  setLength()

Implements QwtVectorFieldSymbol.

Definition at line 152 of file qwt_vectorfield_symbol.cpp.

## paint()

void QwtVectorFieldThinArrow::paint | ( | QPainter * |  | ) | const

overridevirtual

Draw the symbol/arrow.

Implements QwtVectorFieldSymbol.

Definition at line 157 of file qwt_vectorfield_symbol.cpp.

## setLength()

void QwtVectorFieldThinArrow::setLength | ( | qreal | length | ) |

overridevirtual

Set the length of the symbol/arrow

See also
  length()

Implements QwtVectorFieldSymbol.

Definition at line 139 of file qwt_vectorfield_symbol.cpp.